Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Upgraded to Ubuntu 14.04 and now ptsminer won't run.  (Read 1431 times)

0 Members and 1 Guest are viewing this topic.

Offline davidm

  • Jr. Member
  • **
  • Posts: 20
    • View Profile
Upgraded to Ubuntu 14.04 and now ptsminer won't run.
« on: April 21, 2014, 09:36:26 PM »

 When I try to run it I get:

./ptsminer: error while loading shared libraries: libboost_system.so.1.53.0: cannot open shared object file: No such file or directory

Poking around, it looks like the upgrade to Ubuntu 14.04 caused an upgrade of libboost to 1.54.0. Can ptsminer run with the newer version of libboost? If so, How?

I tried installing 1.53 using apt-get but it fails.
E: Unable to locate package libboost1.53-dev-all
E: Couldn't find any package by regex 'libboost1.53-dev-all'


Also, protoshares-qt fails to start, for what I assume are similar reasons.

Offline gamey

  • Hero Member
  • *****
  • Posts: 2253
    • View Profile
Re: Upgraded to Ubuntu 14.04 and now ptsminer won't run.
« Reply #1 on: April 21, 2014, 09:51:59 PM »
I just saw the 14.04 upgrade notification on my laptop.  I opted for no.

I would google around and find the right repo that has boost 1.53.  I recall having to install it from other repositories before. It just isn't in the default repositories, so you'll need to add the repo before you can apt-get install it.
I speak for myself and only myself.

Offline davidm

  • Jr. Member
  • **
  • Posts: 20
    • View Profile
Re: Upgraded to Ubuntu 14.04 and now ptsminer won't run.
« Reply #2 on: April 21, 2014, 10:49:43 PM »
I just saw the 14.04 upgrade notification on my laptop.  I opted for no.

I would google around and find the right repo that has boost 1.53.  I recall having to install it from other repositories before. It just isn't in the default repositories, so you'll need to add the repo before you can apt-get install it.
I'm a bit of a Linux novice. I'm not sure what you mean by "find the right repo". How do I do that?

Offline sva_h4cky0

Re: Upgraded to Ubuntu 14.04 and now ptsminer won't run.
« Reply #3 on: April 21, 2014, 10:59:24 PM »
you need to recompiling ptsminer and protoshares-qt
天の道を行き、総てを司る! Ten no michi o iki, subete o tsukasadoru!

Offline zvs

  • Full Member
  • ***
  • Posts: 193
    • View Profile
Re: Upgraded to Ubuntu 14.04 and now ptsminer won't run.
« Reply #4 on: April 24, 2014, 12:57:59 PM »
yeah, just recompile it with the latest version and it will work
Pls to join Primedice 3 and frolic about merrily whilst gambling awe-inspiring quantities of bitcoins. The power of Christ compels you.

I have a dogecoin p2pool at Nogleg.

 

Google+